summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorCarsten Teibes2014-11-16 21:38:59 +0100
committerCarsten Teibes2014-11-16 21:38:59 +0100
commit677f96127871bcb59b91ffa292e41313d3879b88 (patch)
tree584973286d1b7a972d14013480e4501aced13623
downloadaur-677f96127871bcb59b91ffa292e41313d3879b88.tar.gz
[add] papers-please-gog 1.0.0.4
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD39
-rw-r--r--papers-please-gog.sh3
3 files changed, 60 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..db8f3ff5c9f
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+pkgbase = papers-please-gog
+ pkgdesc = A Dystopian Document Thriller (gog.com version)
+ pkgver = 1.0.0.4
+ pkgrel = 1
+ url = http://gog.com/game/papers_please
+ arch = x86_64
+ arch = i686
+ license = custom: commercial
+ depends = bash
+ depends = libgl
+ depends = gcc-libs
+ source = gog://gog_papers_please_1.0.0.4.tar.gz
+ source = papers-please-gog.sh
+ sha256sums = a6929625cc8d6a87464cf8b099824e03990e1bef6e33f61cec24cb867cf6e387
+ sha256sums = 9227f364836b975d05609481c0d67e7b6fd8e52f7bb931b39af98d864b296d2e
+
+pkgname = papers-please-gog
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..c04eb4a4bfc
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,39 @@
+# Maintainer: carstene1ns <arch carsten-teibes de> - http://git.io/ctPKG
+
+pkgname=papers-please-gog
+pkgver=1.0.0.4
+pkgrel=1
+pkgdesc="A Dystopian Document Thriller (gog.com version)"
+url="http://gog.com/game/papers_please"
+license=('custom: commercial')
+arch=('x86_64' 'i686')
+depends=('bash' 'libgl' 'gcc-libs')
+if [ "$CARCH" == "x86_64" ]; then
+ depends=('bash' 'lib32-libgl' 'lib32-gcc-libs')
+fi
+# You need to download the gog.com installer file manually or with lgogdownloader.
+# Or you can configure DLAGENTS in makepkg.conf to auto-search through a directory
+# containing gog.com downloads:
+# DLAGENTS=('gog::/usr/bin/find /path/to/downloads -name $(echo %u | cut -c 7-) -exec ln -s \{\} %o \; -quit')
+DLAGENTS+=('gog::/usr/bin/echo "Could not find \"$(echo %u | cut -c 7-)\". Manually download it to \"$(pwd)\", or set up a gog:// DLAGENT."; exit 1')
+source=("gog://gog_papers_please_$pkgver.tar.gz"
+ "$pkgname.sh")
+sha256sums=('a6929625cc8d6a87464cf8b099824e03990e1bef6e33f61cec24cb867cf6e387'
+ '9227f364836b975d05609481c0d67e7b6fd8e52f7bb931b39af98d864b296d2e')
+PKGEXT=".pkg.tar"
+
+package() {
+ cd "Papers, Please"
+ install -d "$pkgdir"/opt/papers-please
+ # data - binaries
+ cp -rup game/* "$pkgdir"/opt/papers-please
+ # doc + license
+ install -d "$pkgdir"/usr/share/{doc,licenses}/$pkgname
+ install -m644 docs/README support/support_notice.txt "$pkgdir"/usr/share/doc/$pkgname
+ install -m644 docs/"End User License Agreement.txt" game/LICENSE "$pkgdir"/usr/share/licenses/$pkgname
+ # .desktop file and launcher
+ install -Dm644 support/gog-papers-please-primary.desktop "$pkgdir"/usr/share/applications/papers-please.desktop
+ install -Dm644 support/gog-papers-please.png "$pkgdir"/usr/share/pixmaps/papers-please.png
+ sed "s|gog-||" -i "$pkgdir"/usr/share/applications/papers-please.desktop
+ install -Dm755 ../$pkgname.sh "$pkgdir"/usr/bin/papers-please
+}
diff --git a/papers-please-gog.sh b/papers-please-gog.sh
new file mode 100644
index 00000000000..c1093e45471
--- /dev/null
+++ b/papers-please-gog.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+cd /opt/papers-please && exec ./PapersPlease